import React from 'react';
import type { AnySchema } from 'yup';
import { Errors } from './types';
import { ValidationPathSpec } from './errorManager';
export declare const DEFAULT_CHANNEL = "@@parent";
export interface FormActions {
    getSchemaForPath: (name?: string) => AnySchema | undefined;
    yupContext: any;
    onSubmit: () => void;
    onValidate: (fields: Array<ValidationPathSpec | string>, event: string, args: any[]) => void;
    onFieldError: (name: string, errors: Errors) => void;
    formHasValidation: () => boolean;
}
export declare const FormActionsContext: React.Context<FormActions | null>;
export declare const FormErrorContext: React.Context<Record<string, any>>;
export declare const FormTouchedContext: React.Context<Record<string, boolean>>;
export declare const FormSubmitsContext: React.Context<{
    submitCount: number;
    submitAttempts: number;
    submitting: boolean;
}>;
