import invariant from 'invariant';
import Field, { useMergedEventHandlers } from './Field';
import FieldArray from './FieldArray';
import FormComponent, { getter, setter } from './Form';
import Submit from './Submit';
import Message from './Message';
import NestedForm from './NestedForm';
import Summary from './Summary';
import config from './config';
import useField, { ValidateStrategies, splitFieldProps } from './useField';
import useFormValues from './useFormValues';
import useFieldArray from './useFieldArray';
import errToJSON from './utils/errToJSON';
import useFormSubmit from './useFormSubmit';
import useErrors from './useErrors';
import useTouched from './useTouched';

const setDefaults = (defaults = {}) => {
  Object.assign(config, defaults);
};

const toFormErrors = err => {
  !(err && err.name === 'ValidationError') ? process.env.NODE_ENV !== "production" ? invariant(false, '`toErrors()` only works with ValidationErrors.') : invariant(false) : void 0;
  return errToJSON(err);
};

const formStatics = {
  Field,
  FieldArray,
  Message,
  Submit,
  Summary
};
export { formStatics, NestedForm, useField, useMergedEventHandlers, useFieldArray, useFormSubmit, useFormValues, useErrors, useTouched, splitFieldProps, ValidateStrategies, setDefaults, toFormErrors, getter, setter };
export default Object.assign(FormComponent, formStatics);